> ## Documentation Index
> Fetch the complete documentation index at: https://docs.attio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a workspace record

> Creates a new workspace record. This endpoint will throw on conflicts of unique attributes, like `workspace_id`. If you would prefer to update workspace records on conflicts, please use the Assert workspace record endpoint instead.

Required scopes: `record_permission:read-write`, `object_configuration:read`.



## OpenAPI

````yaml https://api.attio.com/openapi/standard-objects post /v2/objects/workspaces/records
openapi: 3.1.0
info:
  title: Attio Standard Objects
  version: 2.0.0
servers:
  - url: https://api.attio.com
    description: Production
security:
  - oauth2: []
paths:
  /v2/objects/workspaces/records:
    post:
      tags:
        - Workspaces
      summary: Create a workspace record
      description: >-
        Creates a new workspace record. This endpoint will throw on conflicts of
        unique attributes, like `workspace_id`. If you would prefer to update
        workspace records on conflicts, please use the Assert workspace record
        endpoint instead.


        Required scopes: `record_permission:read-write`,
        `object_configuration:read`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  properties:
                    values:
                      type: object
                      properties:
                        workspace_id:
                          type: array
                          items:
                            type: object
                            properties:
                              value:
                                type: string
                                description: A raw text field. Values are limited to 10MB.
                                example: >-
                                  Lorem ipsum dolor sit amet, consectetur
                                  adipiscing elit, sed do eiusmod tempor
                                  incididunt ut labore et dolore magna aliqua.
                            required:
                              - value
                            additionalProperties: false
                        name:
                          type: array
                          items:
                            type: object
                            properties:
                              value:
                                type: string
                                description: A raw text field. Values are limited to 10MB.
                                example: >-
                                  Lorem ipsum dolor sit amet, consectetur
                                  adipiscing elit, sed do eiusmod tempor
                                  incididunt ut labore et dolore magna aliqua.
                            required:
                              - value
                            additionalProperties: false
                        users:
                          type: array
                          items:
                            anyOf:
                              - type: object
                                properties:
                                  target_object:
                                    type: string
                                    description: >-
                                      A UUID or slug to identify the object that
                                      the referenced record belongs to.
                                    example: people
                                  target_record_id:
                                    type: string
                                    format: uuid
                                    description: A UUID to identify the referenced record.
                                    example: 891dcbfc-9141-415d-9b2a-2238a6cc012d
                                required:
                                  - target_object
                                  - target_record_id
                                additionalProperties: false
                              - type: object
                                example:
                                  target_object: people
                                  matching_attribute_id_123:
                                    - value: matching_attribute_id_123
                                properties:
                                  target_object:
                                    type: string
                                    description: >-
                                      A UUID or slug to identify the object that
                                      the referenced record belongs to.
                                    example: people
                                  '[slug_or_id_of_matching_attribute]':
                                    type: array
                                    description: >-
                                      In addition to referencing records
                                      directly by record ID, you may also
                                      reference by a matching attribute of your
                                      choice. For example, if you want to add a
                                      reference to the person record with email
                                      "alice@website.com", you should pass a
                                      value with `target_object` set to
                                      `"people"` and `email_addresses` set to
                                      `[{email_address:"alice@website.com"}]`.
                                      The key should be the slug or ID of the
                                      matching attribute you would like to use
                                      and the value should be an array
                                      containing a single value of the
                                      appropriate attribute type (as specified
                                      below). Matching on multiple values is not
                                      currently supported. Matching attributes
                                      must be unique. This process is similar to
                                      how you use the `matching_attribute` query
                                      param in Attio's [assert
                                      endpoints](/rest-api/endpoint-reference/records/assert-a-record).
                                    items:
                                      anyOf:
                                        - type: object
                                          properties:
                                            domain:
                                              type: string
                                              example: app.attio.com
                                              description: The full domain of the website.
                                        - type: object
                                          properties:
                                            email_address:
                                              type: string
                                              description: An email address string
                                              example: alice@app.attio.com
                                        - type: object
                                          properties:
                                            value:
                                              type: number
                                              example: 17224912
                                              description: Numbers are persisted as 64 bit floats.
                                        - type: object
                                          properties:
                                            original_phone_number:
                                              type: string
                                              example: '07234172834'
                                              description: >-
                                                The raw, original phone number, as
                                                inputted.
                                            country_code:
                                              type:
                                                - string
                                                - 'null'
                                              enum:
                                                - AF
                                                - AX
                                                - AL
                                                - DZ
                                                - AS
                                                - AD
                                                - AO
                                                - AI
                                                - AQ
                                                - AG
                                                - AR
                                                - AM
                                                - AW
                                                - AU
                                                - AT
                                                - AZ
                                                - BS
                                                - BH
                                                - BD
                                                - BB
                                                - BY
                                                - BE
                                                - BZ
                                                - BJ
                                                - BM
                                                - BT
                                                - BO
                                                - BA
                                                - BW
                                                - BV
                                                - BR
                                                - IO
                                                - BN
                                                - BG
                                                - BF
                                                - BI
                                                - KH
                                                - CM
                                                - CA
                                                - CV
                                                - KY
                                                - CF
                                                - TD
                                                - CL
                                                - CN
                                                - CX
                                                - CC
                                                - CO
                                                - KM
                                                - CG
                                                - CD
                                                - CK
                                                - CR
                                                - CI
                                                - HR
                                                - CU
                                                - CW
                                                - CY
                                                - CZ
                                                - DK
                                                - DJ
                                                - DM
                                                - DO
                                                - EC
                                                - EG
                                                - SV
                                                - GQ
                                                - ER
                                                - EE
                                                - ET
                                                - FK
                                                - FO
                                                - FJ
                                                - FI
                                                - FR
                                                - GF
                                                - PF
                                                - TF
                                                - GA
                                                - GM
                                                - GE
                                                - DE
                                                - GH
                                                - GI
                                                - GR
                                                - GL
                                                - GD
                                                - GP
                                                - GU
                                                - GT
                                                - GG
                                                - GN
                                                - GW
                                                - GY
                                                - HT
                                                - HM
                                                - VA
                                                - HN
                                                - HK
                                                - HU
                                                - IS
                                                - IN
                                                - ID
                                                - IR
                                                - IQ
                                                - IE
                                                - IM
                                                - IL
                                                - IT
                                                - JM
                                                - JP
                                                - JE
                                                - JO
                                                - KZ
                                                - KE
                                                - KI
                                                - KR
                                                - KW
                                                - KG
                                                - LA
                                                - LV
                                                - LB
                                                - LS
                                                - LR
                                                - LY
                                                - LI
                                                - LT
                                                - LU
                                                - MO
                                                - MK
                                                - MG
                                                - MW
                                                - MY
                                                - MV
                                                - ML
                                                - MT
                                                - MH
                                                - MQ
                                                - MR
                                                - MU
                                                - YT
                                                - MX
                                                - FM
                                                - MD
                                                - MC
                                                - MN
                                                - ME
                                                - MS
                                                - MA
                                                - MZ
                                                - MM
                                                - NA
                                                - NR
                                                - NP
                                                - NL
                                                - AN
                                                - NC
                                                - NZ
                                                - NI
                                                - NE
                                                - NG
                                                - NU
                                                - NF
                                                - MP
                                                - 'NO'
                                                - OM
                                                - PK
                                                - PW
                                                - PS
                                                - PA
                                                - PG
                                                - PY
                                                - PE
                                                - PH
                                                - PN
                                                - PL
                                                - PT
                                                - PR
                                                - QA
                                                - RE
                                                - RO
                                                - RU
                                                - RW
                                                - BL
                                                - SH
                                                - KN
                                                - LC
                                                - MF
                                                - PM
                                                - VC
                                                - WS
                                                - SM
                                                - ST
                                                - SA
                                                - SN
                                                - SS
                                                - RS
                                                - SC
                                                - SL
                                                - SG
                                                - SK
                                                - SI
                                                - SB
                                                - SO
                                                - ZA
                                                - GS
                                                - ES
                                                - LK
                                                - SD
                                                - SR
                                                - SJ
                                                - SZ
                                                - SE
                                                - CH
                                                - SY
                                                - TW
                                                - TJ
                                                - TZ
                                                - TH
                                                - TL
                                                - TG
                                                - TK
                                                - TO
                                                - TT
                                                - TN
                                                - TR
                                                - TM
                                                - TC
                                                - TV
                                                - UG
                                                - UA
                                                - AE
                                                - GB
                                                - US
                                                - UM
                                                - UY
                                                - UZ
                                                - VU
                                                - VE
                                                - VN
                                                - VG
                                                - VI
                                                - WF
                                                - EH
                                                - YE
                                                - ZM
                                                - ZW
                                                - BQ
                                                - KP
                                                - SX
                                                - XK
                                                - AC
                                              example: GB
                                              description: >-
                                                The ISO 3166-1 alpha-2 country code
                                                representing the country that this phone
                                                number belongs to.
                                        - type: object
                                          properties:
                                            value:
                                              type: string
                                              description: >-
                                                A raw text field. Values are limited to
                                                10MB.
                                required:
                                  - target_object
                                  - '[slug_or_id_of_matching_attribute]'
                            example:
                              target_object: people
                              target_record_id: 891dcbfc-9141-415d-9b2a-2238a6cc012d
                        company:
                          type: array
                          items:
                            anyOf:
                              - type: object
                                properties:
                                  target_object:
                                    type: string
                                    description: >-
                                      A UUID or slug to identify the object that
                                      the referenced record belongs to.
                                    example: people
                                  target_record_id:
                                    type: string
                                    format: uuid
                                    description: A UUID to identify the referenced record.
                                    example: 891dcbfc-9141-415d-9b2a-2238a6cc012d
                                required:
                                  - target_object
                                  - target_record_id
                                additionalProperties: false
                              - type: object
                                example:
                                  target_object: people
                                  matching_attribute_id_123:
                                    - value: matching_attribute_id_123
                                properties:
                                  target_object:
                                    type: string
                                    description: >-
                                      A UUID or slug to identify the object that
                                      the referenced record belongs to.
                                    example: people
                                  '[slug_or_id_of_matching_attribute]':
                                    type: array
                                    description: >-
                                      In addition to referencing records
                                      directly by record ID, you may also
                                      reference by a matching attribute of your
                                      choice. For example, if you want to add a
                                      reference to the person record with email
                                      "alice@website.com", you should pass a
                                      value with `target_object` set to
                                      `"people"` and `email_addresses` set to
                                      `[{email_address:"alice@website.com"}]`.
                                      The key should be the slug or ID of the
                                      matching attribute you would like to use
                                      and the value should be an array
                                      containing a single value of the
                                      appropriate attribute type (as specified
                                      below). Matching on multiple values is not
                                      currently supported. Matching attributes
                                      must be unique. This process is similar to
                                      how you use the `matching_attribute` query
                                      param in Attio's [assert
                                      endpoints](/rest-api/endpoint-reference/records/assert-a-record).
                                    items:
                                      anyOf:
                                        - type: object
                                          properties:
                                            domain:
                                              type: string
                                              example: app.attio.com
                                              description: The full domain of the website.
                                        - type: object
                                          properties:
                                            email_address:
                                              type: string
                                              description: An email address string
                                              example: alice@app.attio.com
                                        - type: object
                                          properties:
                                            value:
                                              type: number
                                              example: 17224912
                                              description: Numbers are persisted as 64 bit floats.
                                        - type: object
                                          properties:
                                            original_phone_number:
                                              type: string
                                              example: '07234172834'
                                              description: >-
                                                The raw, original phone number, as
                                                inputted.
                                            country_code:
                                              type:
                                                - string
                                                - 'null'
                                              enum:
                                                - AF
                                                - AX
                                                - AL
                                                - DZ
                                                - AS
                                                - AD
                                                - AO
                                                - AI
                                                - AQ
                                                - AG
                                                - AR
                                                - AM
                                                - AW
                                                - AU
                                                - AT
                                                - AZ
                                                - BS
                                                - BH
                                                - BD
                                                - BB
                                                - BY
                                                - BE
                                                - BZ
                                                - BJ
                                                - BM
                                                - BT
                                                - BO
                                                - BA
                                                - BW
                                                - BV
                                                - BR
                                                - IO
                                                - BN
                                                - BG
                                                - BF
                                                - BI
                                                - KH
                                                - CM
                                                - CA
                                                - CV
                                                - KY
                                                - CF
                                                - TD
                                                - CL
                                                - CN
                                                - CX
                                                - CC
                                                - CO
                                                - KM
                                                - CG
                                                - CD
                                                - CK
                                                - CR
                                                - CI
                                                - HR
                                                - CU
                                                - CW
                                                - CY
                                                - CZ
                                                - DK
                                                - DJ
                                                - DM
                                                - DO
                                                - EC
                                                - EG
                                                - SV
                                                - GQ
                                                - ER
                                                - EE
                                                - ET
                                                - FK
                                                - FO
                                                - FJ
                                                - FI
                                                - FR
                                                - GF
                                                - PF
                                                - TF
                                                - GA
                                                - GM
                                                - GE
                                                - DE
                                                - GH
                                                - GI
                                                - GR
                                                - GL
                                                - GD
                                                - GP
                                                - GU
                                                - GT
                                                - GG
                                                - GN
                                                - GW
                                                - GY
                                                - HT
                                                - HM
                                                - VA
                                                - HN
                                                - HK
                                                - HU
                                                - IS
                                                - IN
                                                - ID
                                                - IR
                                                - IQ
                                                - IE
                                                - IM
                                                - IL
                                                - IT
                                                - JM
                                                - JP
                                                - JE
                                                - JO
                                                - KZ
                                                - KE
                                                - KI
                                                - KR
                                                - KW
                                                - KG
                                                - LA
                                                - LV
                                                - LB
                                                - LS
                                                - LR
                                                - LY
                                                - LI
                                                - LT
                                                - LU
                                                - MO
                                                - MK
                                                - MG
                                                - MW
                                                - MY
                                                - MV
                                                - ML
                                                - MT
                                                - MH
                                                - MQ
                                                - MR
                                                - MU
                                                - YT
                                                - MX
                                                - FM
                                                - MD
                                                - MC
                                                - MN
                                                - ME
                                                - MS
                                                - MA
                                                - MZ
                                                - MM
                                                - NA
                                                - NR
                                                - NP
                                                - NL
                                                - AN
                                                - NC
                                                - NZ
                                                - NI
                                                - NE
                                                - NG
                                                - NU
                                                - NF
                                                - MP
                                                - 'NO'
                                                - OM
                                                - PK
                                                - PW
                                                - PS
                                                - PA
                                                - PG
                                                - PY
                                                - PE
                                                - PH
                                                - PN
                                                - PL
                                                - PT
                                                - PR
                                                - QA
                                                - RE
                                                - RO
                                                - RU
                                                - RW
                                                - BL
                                                - SH
                                                - KN
                                                - LC
                                                - MF
                                                - PM
                                                - VC
                                                - WS
                                                - SM
                                                - ST
                                                - SA
                                                - SN
                                                - SS
                                                - RS
                                                - SC
                                                - SL
                                                - SG
                                                - SK
                                                - SI
                                                - SB
                                                - SO
                                                - ZA
                                                - GS
                                                - ES
                                                - LK
                                                - SD
                                                - SR
                                                - SJ
                                                - SZ
                                                - SE
                                                - CH
                                                - SY
                                                - TW
                                                - TJ
                                                - TZ
                                                - TH
                                                - TL
                                                - TG
                                                - TK
                                                - TO
                                                - TT
                                                - TN
                                                - TR
                                                - TM
                                                - TC
                                                - TV
                                                - UG
                                                - UA
                                                - AE
                                                - GB
                                                - US
                                                - UM
                                                - UY
                                                - UZ
                                                - VU
                                                - VE
                                                - VN
                                                - VG
                                                - VI
                                                - WF
                                                - EH
                                                - YE
                                                - ZM
                                                - ZW
                                                - BQ
                                                - KP
                                                - SX
                                                - XK
                                                - AC
                                              example: GB
                                              description: >-
                                                The ISO 3166-1 alpha-2 country code
                                                representing the country that this phone
                                                number belongs to.
                                        - type: object
                                          properties:
                                            value:
                                              type: string
                                              description: >-
                                                A raw text field. Values are limited to
                                                10MB.
                                required:
                                  - target_object
                                  - '[slug_or_id_of_matching_attribute]'
                            example:
                              target_object: people
                              target_record_id: 891dcbfc-9141-415d-9b2a-2238a6cc012d
                        avatar_url:
                          type: array
                          items:
                            type: object
                            properties:
                              value:
                                type: string
                                description: A raw text field. Values are limited to 10MB.
                                example: >-
                                  Lorem ipsum dolor sit amet, consectetur
                                  adipiscing elit, sed do eiusmod tempor
                                  incididunt ut labore et dolore magna aliqua.
                            required:
                              - value
                            additionalProperties: false
                      description: >-
                        This object's keys should be the slugs or IDs of the
                        attributes you wish to update. Below, you'll find
                        documentation for the value types of each standard
                        workspace attribute. For information on potential custom
                        attributes, refer to our [attribute type
                        docs](/docs/attribute-types).
                      example:
                        workspace_id: '123'
                        name: Customer.com
                        avatar_url: https://example.com/avatar.png
                        users:
                          - target_object: users
                            target_record_id: 5e3fb280-007b-495a-a530-9354bde01de1
                        company:
                          target_object: companies
                          target_record_id: 99a03ff3-0435-47da-95cc-76b2caeb4dab
                  required:
                    - values
                  additionalProperties: false
              required:
                - data
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: object
                        properties:
                          workspace_id:
                            type: string
                            format: uuid
                            description: >-
                              A UUID identifying the workspace this record
                              belongs to.
                            example: 14beef7a-99f7-4534-a87e-70b564330a4c
                          object_id:
                            type: string
                            format: uuid
                            description: >-
                              A UUID identifying the object this record belongs
                              to.
                            example: 97052eb9-e65e-443f-a297-f2d9a4a7f795
                          record_id:
                            type: string
                            format: uuid
                            description: A UUID identifying this record.
                            example: bf071e1f-6035-429d-b874-d83ea64ea13b
                        required:
                          - workspace_id
                          - object_id
                          - record_id
                      created_at:
                        type: string
                        description: When this record was created.
                        example: '2022-11-21T13:22:49.061281000Z'
                      web_url:
                        type: string
                        format: uri
                        description: >-
                          A URL that links directly to the record page in the
                          Attio web application.
                        example: >-
                          https://app.attio.com/salarya/person/bf071e1f-6035-429d-b874-d83ea64ea13b
                      values:
                        type: object
                        properties:
                          workspace_id:
                            type: array
                            items:
                              type: object
                              properties:
                                active_from:
                                  type: string
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    made "active". `active_from` can be
                                    considered roughly analogous to
                                    `created_at`.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                active_until:
                                  type:
                                    - string
                                    - 'null'
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    deactivated. If `null`, the value is active.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                created_by_actor:
                                  type: object
                                  description: The actor that created this value.
                                  properties:
                                    id:
                                      type: string
                                      description: An ID to identify the actor.
                                      nullable: true
                                    type:
                                      type: string
                                      enum:
                                        - api-token
                                        - workspace-member
                                        - system
                                        - app
                                      nullable: true
                                      description: >-
                                        The type of actor. [Read more
                                        information on actor types
                                        here](/docs/actors).
                                  example:
                                    type: workspace-member
                                    id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                value:
                                  type: string
                                  description: >-
                                    A raw text field. Values are limited to
                                    10MB.
                                  example: >-
                                    Lorem ipsum dolor sit amet, consectetur
                                    adipiscing elit, sed do eiusmod tempor
                                    incididunt ut labore et dolore magna aliqua.
                                attribute_type:
                                  type: string
                                  enum:
                                    - text
                                  description: The attribute type of the value.
                                  example: text
                              required:
                                - active_from
                                - active_until
                                - created_by_actor
                                - value
                                - attribute_type
                              additionalProperties: false
                          name:
                            type: array
                            items:
                              type: object
                              properties:
                                active_from:
                                  type: string
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    made "active". `active_from` can be
                                    considered roughly analogous to
                                    `created_at`.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                active_until:
                                  type:
                                    - string
                                    - 'null'
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    deactivated. If `null`, the value is active.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                created_by_actor:
                                  type: object
                                  description: The actor that created this value.
                                  properties:
                                    id:
                                      type: string
                                      description: An ID to identify the actor.
                                      nullable: true
                                    type:
                                      type: string
                                      enum:
                                        - api-token
                                        - workspace-member
                                        - system
                                        - app
                                      nullable: true
                                      description: >-
                                        The type of actor. [Read more
                                        information on actor types
                                        here](/docs/actors).
                                  example:
                                    type: workspace-member
                                    id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                value:
                                  type: string
                                  description: >-
                                    A raw text field. Values are limited to
                                    10MB.
                                  example: >-
                                    Lorem ipsum dolor sit amet, consectetur
                                    adipiscing elit, sed do eiusmod tempor
                                    incididunt ut labore et dolore magna aliqua.
                                attribute_type:
                                  type: string
                                  enum:
                                    - text
                                  description: The attribute type of the value.
                                  example: text
                              required:
                                - active_from
                                - active_until
                                - created_by_actor
                                - value
                                - attribute_type
                              additionalProperties: false
                          users:
                            type: array
                            items:
                              type: object
                              properties:
                                active_from:
                                  type: string
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    made "active". `active_from` can be
                                    considered roughly analogous to
                                    `created_at`.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                active_until:
                                  type:
                                    - string
                                    - 'null'
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    deactivated. If `null`, the value is active.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                created_by_actor:
                                  type: object
                                  description: The actor that created this value.
                                  properties:
                                    id:
                                      type: string
                                      description: An ID to identify the actor.
                                      nullable: true
                                    type:
                                      type: string
                                      enum:
                                        - api-token
                                        - workspace-member
                                        - system
                                        - app
                                      nullable: true
                                      description: >-
                                        The type of actor. [Read more
                                        information on actor types
                                        here](/docs/actors).
                                  example:
                                    type: workspace-member
                                    id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                target_object:
                                  type: string
                                  description: >-
                                    A slug identifying the object that the
                                    referenced record belongs to.
                                  example: people
                                target_record_id:
                                  type: string
                                  format: uuid
                                  description: A UUID to identify the referenced record.
                                  example: 891dcbfc-9141-415d-9b2a-2238a6cc012d
                                attribute_type:
                                  type: string
                                  enum:
                                    - record-reference
                                  description: The attribute type of the value.
                                  example: record-reference
                              required:
                                - active_from
                                - active_until
                                - created_by_actor
                                - target_object
                                - target_record_id
                                - attribute_type
                              additionalProperties: false
                          company:
                            type: array
                            items:
                              type: object
                              properties:
                                active_from:
                                  type: string
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    made "active". `active_from` can be
                                    considered roughly analogous to
                                    `created_at`.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                active_until:
                                  type:
                                    - string
                                    - 'null'
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    deactivated. If `null`, the value is active.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                created_by_actor:
                                  type: object
                                  description: The actor that created this value.
                                  properties:
                                    id:
                                      type: string
                                      description: An ID to identify the actor.
                                      nullable: true
                                    type:
                                      type: string
                                      enum:
                                        - api-token
                                        - workspace-member
                                        - system
                                        - app
                                      nullable: true
                                      description: >-
                                        The type of actor. [Read more
                                        information on actor types
                                        here](/docs/actors).
                                  example:
                                    type: workspace-member
                                    id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                target_object:
                                  type: string
                                  description: >-
                                    A slug identifying the object that the
                                    referenced record belongs to.
                                  example: people
                                target_record_id:
                                  type: string
                                  format: uuid
                                  description: A UUID to identify the referenced record.
                                  example: 891dcbfc-9141-415d-9b2a-2238a6cc012d
                                attribute_type:
                                  type: string
                                  enum:
                                    - record-reference
                                  description: The attribute type of the value.
                                  example: record-reference
                              required:
                                - active_from
                                - active_until
                                - created_by_actor
                                - target_object
                                - target_record_id
                                - attribute_type
                              additionalProperties: false
                          avatar_url:
                            type: array
                            items:
                              type: object
                              properties:
                                active_from:
                                  type: string
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    made "active". `active_from` can be
                                    considered roughly analogous to
                                    `created_at`.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                active_until:
                                  type:
                                    - string
                                    - 'null'
                                  format: date-time
                                  description: >-
                                    The point in time at which this value was
                                    deactivated. If `null`, the value is active.
                                  example: '2023-01-01T15:00:00.000000000Z'
                                created_by_actor:
                                  type: object
                                  description: The actor that created this value.
                                  properties:
                                    id:
                                      type: string
                                      description: An ID to identify the actor.
                                      nullable: true
                                    type:
                                      type: string
                                      enum:
                                        - api-token
                                        - workspace-member
                                        - system
                                        - app
                                      nullable: true
                                      description: >-
                                        The type of actor. [Read more
                                        information on actor types
                                        here](/docs/actors).
                                  example:
                                    type: workspace-member
                                    id: 50cf242c-7fa3-4cad-87d0-75b1af71c57b
                                value:
                                  type: string
                                  description: >-
                                    A raw text field. Values are limited to
                                    10MB.
                                  example: >-
                                    Lorem ipsum dolor sit amet, consectetur
                                    adipiscing elit, sed do eiusmod tempor
                                    incididunt ut labore et dolore magna aliqua.
                                attribute_type:
                                  type: string
                                  enum:
                                    - text
                                  description: The attribute type of the value.
                                  example: text
                              required:
                                - active_from
                                - active_until
                                - created_by_actor
                                - value
                                - attribute_type
                              additionalProperties: false
                        description: >-
                          An object with `attribute_slug` keys, and an array of
                          value objects as the values. Attributes slugs (for
                          example `person` or `primary_email_address`) can be
                          used, including custom attribute slugs.
                        example:
                          workspace_id:
                            - active_from: '2023-01-01T15:00:00.000000000Z'
                              active_until: null
                              created_by_actor:
                                type: system
                                id: null
                              value: '123'
                              attribute_type: text
                          name:
                            - active_from: '2023-01-01T15:00:00.000000000Z'
                              active_until: null
                              created_by_actor:
                                type: system
                                id: null
                              value: Fundstack
                              attribute_type: text
                          users:
                            - active_from: '2023-01-01T15:00:00.000000000Z'
                              active_until: null
                              created_by_actor:
                                type: system
                                id: null
                              target_object: users
                              target_record_id: 5e3fb280-007b-495a-a530-9354bde01de1
                              attribute_type: record-reference
                          company:
                            - active_from: '2023-01-01T15:00:00.000000000Z'
                              active_until: null
                              created_by_actor:
                                type: system
                                id: null
                              target_object: companies
                              target_record_id: 99a03ff3-0435-47da-95cc-76b2caeb4dab
                              attribute_type: record-reference
                          avatar_url:
                            - active_from: '2023-01-01T15:00:00.000000000Z'
                              active_until: null
                              created_by_actor:
                                type: system
                                id: null
                              value: https://example.com/avatar.png
                              attribute_type: text
                    required:
                      - id
                      - created_at
                      - web_url
                      - values
                required:
                  - data
                description: Success
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status_code:
                    type: number
                    enum:
                      - 400
                  type:
                    type: string
                    enum:
                      - invalid_request_error
                  code:
                    type: string
                    enum:
                      - value_not_found
                  message:
                    type: string
                    example: >-
                      Cannot find select attribute with select option title "In
                      Progress".
                required:
                  - status_code
                  - type
                  - code
                  - message
                description: Bad Request
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status_code:
                    type: number
                    enum:
                      - 404
                  type:
                    type: string
                    enum:
                      - invalid_request_error
                  code:
                    type: string
                    enum:
                      - not_found
                  message:
                    type: string
                    example: Object with slug/ID "people" not found.
                required:
                  - status_code
                  - type
                  - code
                  - message
                description: Not Found
      security:
        - oauth2:
            - record_permission:read-write
            - object_configuration:read
components:
  securitySchemes:
    oauth2:
      type: oauth2
      description: This API uses OAuth 2.0 with the authorization code grant flow.
      flows:
        authorizationCode:
          authorizationUrl: https://app.attio.com/authorize
          tokenUrl: https://app.attio.com/oauth/token
          scopes:
            user_management:read: View workspace members.
            user_management:read-write: View workspace members.
            record_permission:read: View, and optionally write, records.
            record_permission:read-write: View, and optionally write, records.
            object_configuration:read: >-
              View, and optionally write, the configuration and attributes of
              objects.
            object_configuration:read-write: >-
              View, and optionally write, the configuration and attributes of
              objects.
            list_entry:read: View, and optionally write, the entries in a list.
            list_entry:read-write: View, and optionally write, the entries in a list.
            list_configuration:read: >-
              View, and optionally write, the configuration and attributes of
              lists.
            list_configuration:read-write: >-
              View, and optionally write, the configuration and attributes of
              lists.
            public_collection:read: >-
              View, and optionally write, both the settings and information
              within public collections.
            public_collection:read-write: >-
              View, and optionally write, both the settings and information
              within public collections.
            private_collection:read: >-
              View, and optionally modify, both the settings and information of
              all collections within the workspace, regardless of their access
              settings.
            private_collection:read-write: >-
              View, and optionally modify, both the settings and information of
              all collections within the workspace, regardless of their access
              settings.
            comment:read: View comments (and threads), and optionally write comments.
            comment:read-write: View comments (and threads), and optionally write comments.
            task:read: View, and optionally write, tasks.
            task:read-write: View, and optionally write, tasks.
            note:read: View, and optionally write, notes.
            note:read-write: View, and optionally write, notes.
            meeting:read: View, and optionally write, meetings.
            meeting:read-write: View, and optionally write, meetings.
            call_recording:read: >-
              View, and optionally write, call recordings, transcripts and
              speakers for meetings.
            call_recording:read-write: >-
              View, and optionally write, call recordings, transcripts and
              speakers for meetings.
            webhook:read: View, and optionally manage, webhooks.
            webhook:read-write: View, and optionally manage, webhooks.
            file:read: View, and upload files.
            file:read-write: View, and upload files.

````